List Dynamic Configs

gethttps://statsigapi.net/console/v1/dynamic_configs

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Query parameters

releasePipelineIDstring

The release pipeline ID associated with the dynamic config

teamIDstring

Filter by team ID

targetAppIDstring

Filter by target app ID

creatorNamestring

Name of the creator.

creatorIDstring

ID of the user who created the entity.

tagsstring

Filter by tags

limitinteger

Results per page

pageinteger

Page number

Response

application/json
200· List Dynamic Configs Success
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
id[]stringrequired

ID

name[]string

Optional name for the configuration.

idType[]string

The type of ID which the dynamic config is based on.

description[]stringrequired

A brief summary of what the dynamic config is being used for

lastModifierID[]stringrequired

ID of the last modifier.

lastModifiedTime[]numberrequired

Time of the last modification.

lastModifierEmail[]stringrequired

Email of the last modifier.

lastModifierName[]stringrequired

Name of the last modifier.

creatorID[]string
createdTime[]numberrequired

Timestamp when the entity was created.

creatorName[]stringrequired

Name of the creator.

creatorEmail[]string
tags[]string[]

The list of tag names attached to the dynamic config

targetApps[]oneOf
holdoutIDs[]string[]

Holdouts applied to this configuration.

team[]string

The team name associated with the dynamic config, Enterprise only.

teamID[]string

The team ID associated with the dynamic config, Enterprise only.

version[]number

Version number

isEnabled[]booleanrequired

Is the dynamic config enabled

rules[]object[]required

An array of Rule objects

name[]stringrequired

The name of this rule.

passPercentage[]numberrequired

Of the users that meet the conditions of this rule, what percent should return true.

conditions[]object[]required

An array of Condition objects.

targetValue[]oneOf
operator[]string
field[]string
customID[]string
type[]stringrequired
environments[]string[]
id[]string

The Statsig ID of this rule.

baseID[]string

The base ID of this rule, i.e. without any added metadata. Will remain the exact same throughout

returnValue[]object
completedAutomatedRollouts[]object[]

Read-only: Automated rollout phases that have already completed.

time[]number
passPercent[]numberrequired
pendingAutomatedRollouts[]object[]

Read-only: Automated rollout phases that are scheduled but not yet complete.

time[]number
passPercent[]numberrequired
returnValueJson5[]string
variants[]object[]
id[]string
name[]stringrequired
passPercentage[]numberrequired
returnValue[]object
returnValueJson5[]string
defaultValue[]object

The fallback JSON object when no rules are triggered

defaultValueJson5[]string

Can include comments. If provided with defaultValue, must parse to the same JSON

owner[]object

Schema for owner data including ID, type, name. Note that if Entity is created by CONSOLE API, owner will be undefined.

ownerIDstring

ID of the owner

ownerTypestring

Type of the owner (e.g., SDK_KEY or USER)

ownerNamestring

The name of the owner. This field is optional.

ownerEmailstring

The email of the owner. This field is optional.

schema[]string

A schema using JSON Schema Draft 2020-12 to enforce return values of this dynamic config's rules.

schemaJson5[]string

schema except with Json5 comments. Optional and should parse to same json as schema.

releasePipelineID[]string

The release pipeline ID associated with the dynamic config

isTemplate[]boolean
status[]string
checksPerHour[]number
permalink[]stringrequired

A permalink to this dynamic config in the Statsig Console.

paginationobjectrequired

Pagination metadata for checking if there is next page for example.

404· Not Found. The requested resource could not be found.
statusintegerrequired
messagestringrequired

Was this helpful?